Show / Hide Table of Contents

# Class GameFontLayoutPlan

Plan on how glyphs will be rendered.

##### Inheritance

System.Object
GameFontLayoutPlan

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Dalamud.Interface.GameFonts

###### Assembly: Dalamud.dll

##### Syntax

    public class GameFontLayoutPlan

### Properties

| Improve this Doc View Source

#### Elements

Gets the list of plannen elements.

##### Declaration

    public IList<GameFontLayoutPlan.Element> Elements { get; }

##### Property Value

Type | Description
--- | ---
System.Collections.Generic.IList<GameFontLayoutPlan.Element> |

| Improve this Doc View Source

#### Height

Gets the height of the text.

##### Declaration

    public float Height { get; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### ImFontPtr

Gets the associated ImFontPtr.

##### Declaration

    public ImFontPtr ImFontPtr { get; }

##### Property Value

Type | Description
--- | ---
ImFontPtr |

| Improve this Doc View Source

#### Size

Gets the size in points of the text.

##### Declaration

    public float Size { get; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### Width

Gets the width of the text.

##### Declaration

    public float Width { get; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### X

Gets the x offset of the leftmost glyph.

##### Declaration

    public float X { get; }

##### Property Value

Type | Description
--- | ---
System.Single |

### Methods

| Improve this Doc View Source

#### Draw(ImDrawListPtr, Vector2, UInt32)

Draws font to ImGui.

##### Declaration

    public void Draw(ImDrawListPtr drawListPtr, Vector2 pos, uint col)

##### Parameters

Type | Name | Description
--- | --- | ---
ImDrawListPtr | drawListPtr | Target ImDrawList.
System.Numerics.Vector2 | pos | Position.
System.UInt32 | col | Color.